<?php
/**
 * 
 * Header.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <title><?php wp_title('|', true, 'right'); ?> <?php bloginfo('name'); ?></title>
  <meta name="description" content="">
  <meta name="author" content="">
  <meta name="viewport" content="width=device-width">
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
  <?php wp_head(); ?>
  <script>
    const _dittoURI_ = "<?= get_template_directory_uri() ?>",
          _dittoURL_ = "<?= get_site_url() ?>";
  </script>
  <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-MM298CJW');</script>
<!-- End Google Tag Manager -->
</head>
<?php global $wp_query; ?>
<body <?php if($wp_query->is_front_page()): ?>class="home"<?php endif; ?>>
  <!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-MM298CJW"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
  <?php 
    $primary_color = get_field('primary_color', 'option');
    $dark_green = get_field('dark_green', 'option');
    $secondary_color = get_field('secondary_color', 'option');
    $third_color = get_field('third_color', 'option');  
    $four_color = get_field('four_color', 'option');
    $five_color = get_field('five_color', 'option');
  ?>
  <style>
    :root {
        --azul_oscuro: <?= $primary_color; ?>;
        --verde: <?= $secondary_color; ?>;
        --verde_light: <?= $dark_green; ?>;
        --azul: <?= $third_color; ?>;
        --azul_intermedio: <?= $four_color; ?>;
        --azul_claro: <?= $five_color; ?>;
    }
  </style>
<div id="page"> <!-- +Page container -->
  <?php get_template_part('partials/globals/header'); ?>