   
<?php
/**
 * 
 * Partial Name: header
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$nav = get_field('nav_menu', 'option');
$social_networks = get_field('social_networks', 'option');
if($nav): ?>
    <div class="nav-contain nav-movil">
        <ul>
            <?php foreach($nav as $item): ?>
                <li>
                    <a href="<?= get_permalink($item['page']->ID); ?>">
                        <span class="feature-image">
                            <img src="<?= get_the_post_thumbnail_url($item['page']->ID); ?>" alt="<?= $item['page']->post_title; ?>">
                        </span>
                        <span class="name" style="color:var(<?= $item['text_color']; ?>)"><?= $item['page']->post_title; ?></span>
                    </a>
                </li>
            <?php endforeach; ?>
        </ul>
        <?php if($social_networks): ?>
            <div class="social-networks">
                <ul>
                    <?php foreach($social_networks as $item): ?>
                        <li>
                            <a href="<?= $item['url'] ?>" target="_blank"><?= $item['icon_svg']; ?></a>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>
        <?php endif; ?>
    </div>
<?php endif; ?>
<header class="header-partial-9b19cb <?php if($wp_query->is_front_page()): ?>home<?php endif; ?>">
    <div class="row">
        <div class="col-2 col-md-8">
            <?php if($nav): ?>
                <div class="bar-menu">
                    <span class="top"></span>
                    <span class="center"></span>
                    <span class="bottom"></span>
                </div>
                <div class="nav-contain nav-desktop">
                    <ul>
                        <?php foreach($nav as $item): ?>
                            <li>
                                <a href="<?= get_permalink($item['page']->ID); ?>">
                                    <span class="feature-image">
                                        <img src="<?= get_the_post_thumbnail_url($item['page']->ID); ?>" alt="<?= $item['page']->post_title; ?>">
                                    </span>
                                    <span class="name" style="color:var(<?= $item['text_color']; ?>)"><?= $item['page']->post_title; ?></span>
                                </a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            <?php endif; ?>
        </div>
        <div class="col-10 col-md-4" style="position:relative;">
            <a href="<?= home_url(); ?>" class="logo-cta">
                <div class="svg-contain">
                    <svg width="354" height="100" viewBox="0 0 354 100" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M90 0.000244141H324C340.569 0.000244141 354 13.4317 354 30.0002V70.0002C354 86.5688 340.569 100 324 100H20L90 0.000244141Z" fill="#140C9B"/>
                        <path d="M85 0.000244141H96L23.4233 100H13L85 0.000244141Z" fill="#80BC00"/>
                        <path d="M71.5 0.000244141H86L13.5816 100H0L71.5 0.000244141Z" fill="#0082CA"/>
                    </svg>
                </div>
                <img src="<?= esc_url( wp_get_attachment_url( get_theme_mod( 'custom_logo' ) ) ); ?>" alt="Logo Agua Cristal" class="logo">
            </a>
        </div>
    </div>
</header>