   
<?php
/**
 * 
 * Partial Name: after-overlay
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$text_group = get_field('text_group');
?>
<section class="after-overlay-partial-481766">
    <div class="svg-top-after-video-movil">
        <svg width="316" height="350" viewBox="0 0 316 350" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M315.123 -36V-0.815975L136.047 178.233V143.049L315.123 -36Z" fill="#91D7FF"/>
            <path d="M79.0767 135V170.184L-100 349.233V314.049L79.0767 135Z" fill="#80BC00"/>
        </svg>
    </div>
    <div class="clip-path-top-movil"></div>
    <div class="container">
        <div class="row">
            <div class="col-12 col-md-6 text-center">
                <?php if($text_group): ?>
                    <div class="texts-conain">
                        <h1 class="title">
                            <?php foreach($text_group as $text): ?>
                                <span  style="color:var(<?= $text['select_color']; ?>)"><?= $text['add_text']; ?></span>
                            <?php endforeach; ?>
                        </h1>
                        <div class="svg-desktop">
                            <svg width="294" height="400" viewBox="0 0 294 400" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M293.078 0.741211V40.3469L91.4961 241.897V202.291L293.078 0.741211Z" fill="#91D7FF"/>
                                <path d="M91.5815 158.335V197.941L-110 399.491V359.885L91.5815 158.335Z" fill="#80BC00"/>
                            </svg>
                        </div>
                        <a href="<?= get_field('find_yours'); ?>" class="d-none d-md-block find-yours-cta">
                            <span><?= get_field('cta_text'); ?></span>
                        </a>
                    </div>
                <?php endif; ?>
            </div> 
            <div class="col-12 col-md-6 text-center image-contain">
                <div class="svg-right-top-desktop">
                    <svg width="214" height="337" viewBox="0 0 214 337" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M217.687 79.8943V119.5L1 336.156V296.55L217.687 79.8943Z" fill="#91D7FF"/>
                        <path d="M213.281 0.894531V40.5002L0 253.751V214.145L213.281 0.894531Z" fill="#80BC00"/>
                    </svg>
                </div>
                <div class="svg-top-movil-after-image">
                    <svg width="180" height="215" viewBox="0 0 180 215" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M180 0V35.31L0 215V179.69L180 0Z" fill="#0087FF"/>
                    </svg>
                </div>
                <img src="<?= get_field('product_image')['url']; ?>" alt="<?= get_field('product_image')['title']; ?>" class="zoom">
                <div class="svg-after-product-img">
                    <svg width="439" height="434" viewBox="0 0 439 434" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M196.21 2.75293V41.7359L0.0214844 240.117V201.134L196.21 2.75293Z" fill="#80BC00"/>
                        <path d="M392.399 0.332031V39.1151L0.0214844 433.885V395.102L392.399 0.332031Z" fill="#91D7FF"/>
                        <path d="M438.831 76.5107V115.295L241.432 312.664V273.88L438.831 76.5107Z" fill="#80BC00"/>
                    </svg>
                </div>
                <div class="svg-bottom">
                    <svg width="359" height="319" viewBox="0 0 359 319" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M358.39 0.0976562V38.8817L160.99 236.251V197.467L358.39 0.0976562Z" fill="#80BC00"/>
                        <path d="M197.4 82.8472V121.631L0 319V280.216L197.4 82.8472Z" fill="#0087FF"/>
                    </svg>
                </div>
                <div class="svg-bottom-movil">
                    <svg width="180" height="215" viewBox="0 0 180 215" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M180 0V35.31L0 215V179.69L180 0Z" fill="#91D7FF"/>
                    </svg>
                </div>
                <a href="<?= get_field('find_yours'); ?>" class="d-block d-md-none find-yours-cta">
                    <span><?= get_field('cta_text'); ?></span>
                </a>
            </div>
        </div>
    </div>
    <div class="clip-path-bottom-movil"></div>
</section>
<script>
    gsap.registerPlugin(ScrollTrigger);

    gsap.fromTo(document.querySelector('.after-overlay-partial-481766 .svg-after-product-img'), { y: 0 }, {
    y: 90,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.after-overlay-partial-481766 .svg-after-product-img'),
        start: 'top 100%',
        end: 'top 10%',
        scrub: true,
        markers: false,
    }
    });
    gsap.fromTo(document.querySelector('.after-overlay-partial-481766 .svg-right-top-desktop'), { y: 0 }, {
    y: 90,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.after-overlay-partial-481766 .svg-right-top-desktop'),
        start: 'top 100%',
        end: 'top 10%',
        scrub: true,
        markers: false,
    }
    });
    gsap.fromTo(document.querySelector('.after-overlay-partial-481766 .texts-conain .svg-desktop'), { y: 0 }, {
    y: 90,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.after-overlay-partial-481766 .texts-conain .svg-desktop'),
        start: 'top 100%',
        end: 'top 10%',
        scrub: true,
        markers: false,
    }
    });
    gsap.fromTo(document.querySelector('.after-overlay-partial-481766 .image-contain .svg-bottom'), { y: 0 }, {
    y: 90,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.after-overlay-partial-481766 .image-contain .svg-bottom'),
        start: 'top 100%',
        end: 'top 10%',
        scrub: true,
        markers: false,
    }
    });
</script>