   
<?php
/**
 * 
 * Partial Name: sustainability
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$sostenibility = new WP_Query(array('post_type' => 'sustainability', 'post_status' => 'publish', 'posts_per_page' => 1, 'orderby' => 'DESC'));
if($sostenibility->have_posts()):
    $sustainability_texts = get_field('sustainability_texts');
    $link = get_field('sustainability_link');
?>
<style>
    .sustainability-partial-f7f3c1 a{
        background:var(<?= get_field('sustainability_background_cta'); ?>);
    }
    .sustainability-partial-f7f3c1 a:hover{
        background:var(<?= get_field('sustainability_background_hover_cta'); ?>);
    }
</style>
<section class="sustainability-partial-f7f3c1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-12 col-md-6 text-center">
                <?php if($sustainability_texts): ?>
                    <h2>
                        <?php foreach($sustainability_texts as $text): ?>
                            <span style="color:var(<?= $text['select_color'] ?>);"><?= $text['add_text']; ?></span>
                            <br>
                        <?php endforeach; ?>
                    </h2>
                <?php 
                    endif; 
                    if($link):
                ?>
                    <a href="<?= $link['url']; ?>" target="<?= $link['target']; ?>" class="sostenibility-cta d-none d-md-block"><?= $link['title']; ?></a>
                <?php endif; ?>
            </div>
            <div class="col-12 col-md-6 last-post">
                <?php while($sostenibility->have_posts()): $sostenibility->the_post(); ?>
                    <a href="<?= get_the_permalink($sostenibility->ID); ?>" class="the-card">
                        <div class="sostenibility-card">
                            <div class="image-contain">
                                <img src="<?= get_the_post_thumbnail_url($sostenibility->ID); ?>" alt="<?= get_the_title($sostenibility->ID); ?>">
                            </div>
                            <div class="text-contain">
                                <h4><?= get_the_title($sostenibility->ID); ?></h4>
                                <p><?= get_field('short_description', $sostenibility->ID); ?></p>
                            </div>
                        </div>
                    </a>
                <?php 
                    endwhile; 
                    wp_reset_postdata();
                    if($link):
                ?>
                    <a href="<?= $link['url']; ?>" target="<?= $link['target']; ?>" class="sostenibility-cta d-block d-md-none"><?= $link['title']; ?></a>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="svg-bottom">
        <svg width="530" class="d-none d-md-block" height="354" viewBox="0 0 530 354" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M582.642 0.630859V43.9915L363.303 264.65V221.29L582.642 0.630859Z" fill="#00BEFF"/>
            <path d="M582.339 44V87.3606L363 308.019V264.659L582.339 44Z" fill="#F7FAFF"/>
            <path d="M220.318 89.9575V133.318L0.978516 353.977V310.616L220.318 89.9575Z" fill="#80BC00"/>
        </svg>
        <svg width="375" class="d-block d-md-none" height="331" viewBox="0 0 375 331" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M400.978 43.5178V78.7019L223 257.751V222.567L400.978 43.5178Z" fill="#00BEFF"/>
            <path d="M479.978 0V35.1841L302 214.233V179.049L479.978 0Z" fill="#F7FAFF"/>
            <path d="M106.978 116V151.184L-71 330.233V295.049L106.978 116Z" fill="#80BC00"/>
        </svg>
    </div>
    <div class="clip-path-movil-bottom"></div>
</section>
<script>
    gsap.registerPlugin(ScrollTrigger);

    gsap.fromTo(document.querySelector('.sustainability-partial-f7f3c1 .svg-bottom'), { y: 0 }, {
    y: 40,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.sustainability-partial-f7f3c1 .svg-bottom'),
        start: 'top 100%',
        end: 'top 10%',
        scrub: true,
        markers: false,
    }
    });
</script> 
<?php endif; ?>    