   
<?php
/**
 * 
 * Template Name: event-single
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
get_header();
$videos = get_field('videos');
?>
<main id="event-single-template-22f38f">
    <section class="banner">
        <img src="<?= get_field('banner')['url']; ?>" alt="<?= get_field('banner')['title']; ?>">
    </section>
    <section class="body-post">
        <div class="clip-path-top"></div>
        <div class="svg-desktop">
            <svg width="148" class="left" height="287" viewBox="0 0 148 287" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M147.077 0V35.184L-32 214.233V179.049L147.077 0Z" fill="#80BC00"/>
                <path d="M105.077 72V107.184L-74 286.233V251.049L105.077 72Z" fill="#140C9B"/>
            </svg>
            <svg width="113" class="right" height="292" viewBox="0 0 113 292" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M177.978 77V112.184L0 291.233V256.049L177.978 77Z" fill="#00BEFF"/>
                <path d="M223.978 0V35.1841L46 214.233V179.049L223.978 0Z" fill="#80BC00"/>
            </svg>
        </div>
        <div class="svg-movil">
            <svg width="70" class="left" height="221" viewBox="0 0 70 221" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M69.0767 0V35.184L-110 214.233V179.049L-20.4616 89.5244L69.0767 0Z" fill="#80BC00"/>
                <path d="M28.0767 6V41.184L-151 220.233V185.049L-61.4616 95.5244L28.0767 6Z" fill="#91D7FF"/>
            </svg>
            <svg width="66" class="right" height="215" viewBox="0 0 66 215" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M177.978 0V35.1841L0 214.233V179.049L177.978 0Z" fill="#00BEFF"/>
            </svg>
        </div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-md-11">
                    <div class="title-and-body-post">
                        <h1><?= the_title(); ?></h1>
                        <div class="the-content">
                            <?= the_content(); ?>
                        </div>
                    </div>
                </div>
                <?php if($videos): ?>
                    <div class="col-12 col-md-11 video-container">
                        <h2><?= get_field('title_before_slide'); ?></h2>
                        <div class="d-none d-md-block">
                            <div class="row">
                                <?php foreach($videos as $item): ?>
                                    <div class="col-md-6 col-lg-4 mb-4">
                                        <?php if($item['is_it_video'] === true): ?>
                                            <div class="video image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                    <svg width="60" height="60" viewBox="0 0 60 60" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <circle cx="30" cy="30" r="30" fill="white" fill-opacity="0.2"/>
                                                        <path d="M43 30L23.5 41.2583L23.5 18.7417L43 30Z" fill="white"/>
                                                    </svg>
                                                </div>
                                                <input type="hidden" class="video-id" value="<?= $item['video_id']; ?>">
                                            </div>
                                        <?php else: ?>
                                            <div class="image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                </div>
                                            </div>
                                        <?php endif; ?> 
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                        <div class="d-block d-md-none">
                            <div class="video-slide owl-carousel">
                                <?php foreach($videos as $item): ?>
                                    <div class="item">
                                        <?php if($item['is_it_video'] === true): ?>
                                            <div class="video image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                    <svg width="60" height="60" viewBox="0 0 60 60" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <circle cx="30" cy="30" r="30" fill="white" fill-opacity="0.2"/>
                                                        <path d="M43 30L23.5 41.2583L23.5 18.7417L43 30Z" fill="white"/>
                                                    </svg>
                                                </div>
                                                <input type="hidden" class="video-id" value="<?= $item['video_id']; ?>">
                                            </div>
                                        <?php else: ?>
                                            <div class="image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                </div>
                                            </div>
                                        <?php endif; ?> 
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                    <div class="video-pop-up">
                        <div class="body">
                            <div class="overly-close"></div>
                            <div id="the-video"></div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </section>
</main>
<script>
    $(()=>{
        setTimeout(() => {
           $('.banner img').addClass('show');
        }, 800);
        if($(window).width() < 768){
            setTimeout(() => {
                $('.title-and-body-post h1').addClass('slide-right');
            }, 1200);
        }else{
            setTimeout(() => {
                $('.title-and-body-post h1').addClass('slide-right');
                $('.title-and-body-post .the-content').addClass('slide-right');
                $('.body-post .svg-desktop .right').addClass('slide-right');
            }, 1200);
        }
    });
    $(window).scroll(function(){
        var windowScrol = $(window).scrollTop();
        if($(window).width() < 768){
            var event_movil = $('.title-and-body-post .the-content').offset().top -750;
            if(windowScrol >= event_movil){
                $('.title-and-body-post .the-content').addClass('slide-right');
            }
            var svg = $('.video-container').offset().top -750;
            if(windowScrol >= svg){
                $('.body-post .svg-movil .left').addClass('slide-left');
                $('.body-post .svg-movil .right').addClass('slide-right');
                $('.video-container h2').addClass('slide-left');
            }
            var videos = $('.video-container .video-slide').offset().top -750;
            if(windowScrol >= videos){
                $('.video-container .video-slide .image-card').addClass('rotate-x');
            }
        }else{
            var events = $('.body-post').offset().top -550;
            if(windowScrol >= events){
                $('.body-post h2').addClass('skey');
                $('.intro').addClass('slide-up');
            }
            var bottom = $('.body-post .svg-desktop .left').offset().top -650;
            if(windowScrol >= bottom){
                $('.body-post .svg-desktop .left').addClass('slide-left');
                $('.video-container h2').addClass('slide-left');
                $('.video-container .image-card').addClass('rotate-x');
            }
        }
    });
    $('.video-slide').owlCarousel({
        autoplay:true,
        loop:true,
        nav:false,
        dots:false,
        margin:10,
        responsive:{
            0:{
                items:1.3,
                center:true
            },
            600:{
                items:2.5,
                center:true
            }
        }
    }).css({'visibility':'visible'});

    gsap.registerPlugin(ScrollTrigger);
    gsap.fromTo(document.querySelector('.svg-desktop .left'), { y: 0 }, {
        y: 60,
        duration: 1,
        scrollTrigger: {
            trigger: document.querySelector('.svg-desktop .left'),
            start: 'top 10%',
            end: 'top 80%',
            scrub: true,
            markers: false,
        }
    });
    gsap.fromTo(document.querySelector('.svg-desktop .right'), { y: 0 }, {
        y: 60,
        duration: 1,
        scrollTrigger: {
            trigger: document.querySelector('.svg-desktop .right'),
            start: 'top 10%',
            end: 'top 80%',
            scrub: true,
            markers: false,
        }
    });
    gsap.fromTo(document.querySelector('.svg-movil .left'), { y: 0 }, {
        y: 60,
        duration: 1,
        scrollTrigger: {
            trigger: document.querySelector('.svg-movil .left'),
            start: 'top 10%',
            end: 'top 80%',
            scrub: true,
            markers: false,
        }
    });
    gsap.fromTo(document.querySelector('.svg-movil .right'), { y: 0 }, {
        y: 60,
        duration: 1,
        scrollTrigger: {
            trigger: document.querySelector('.svg-movil .right'),
            start: 'top 10%',
            end: 'top 80%',
            scrub: true,
            markers: false,
        }
    });
    var nav_active = $(".nav-contain ul li");
    
    for(var i = 0; i <= nav_active.length; i++){
        if(nav_active[i].children[0].href === _dittoURL_+'/eventos/'){
            console.log(nav_active[i].children[0].href, _dittoURL_ + '/eventos/');
            nav_active[i].classList.add("active");
        }
    }
</script>
<?php get_footer(); ?>
                    