   
<?php
/**
 * 
 * Template Name: events
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
get_header();
$video = get_field('video_id_desktop');
$video_movil = get_field('video_id_movil');
$title = get_field('video_texts');
$title_after_video = get_field('title_after_video');
$events =  new WP_Query(array('post_type' => 'events', 'post_status' => 'publish', 'posts_per_page' => -1, 'orderby' => 'DESC'));
?>
<main id="events-template-095115">
    <section class="video-section">
        <div class="video">
            <iframe class="desktop" src="https://player.vimeo.com/video/<?= $video; ?>?autoplay=1&loop=1&autopause=0&muted=1&controls=0" title="Vimeo video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
            <iframe class="movil" src="https://player.vimeo.com/video/<?= $video_movil; ?>?autoplay=1&loop=1&autopause=0&muted=1&controls=0" title="Vimeo video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
        </div>
        <?php if($title): ?>
            <h1 class="title">
                <?php foreach($title as $text): ?>
                    <span style="color:var(<?= $text['text_color']; ?>)"><?= $text['add_text']; ?></span>
                    <br>
                <?php endforeach; ?>
            </h1>
        <?php endif; ?>
    </section>
    <section class="posts-contain">
        <div class="clip-path"></div>
        <div class="svg-contain">
            <div class="svg-left">
                <svg width="228" height="245" viewBox="0 0 228 245" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M163.077 30V65.184L-16 244.233V209.049L163.077 30Z" fill="#80BC00"/>
                    <path d="M227.077 0V35.184L48 214.233V179.049L227.077 0Z" fill="#0087FF"/>
                </svg>
            </div>
            <div class="svg-right">
                <svg width="160" height="286" viewBox="0 0 160 286" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M177.978 71V106.184L0 285.233V250.049L177.978 71Z" fill="#00BEFF"/>
                    <path d="M180.077 0V35.184L1 214.233V179.049L180.077 0Z" fill="#0087FF"/>
                </svg>
            </div>
        </div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 text-center">
                    <?php if($title_after_video): ?>
                        <h2>
                            <?php foreach($title_after_video as $text): ?>
                                <span style="color:var(<?= $text['text_color'] ?>)"><?= $text['add_text']; ?></span>
                                <br>
                            <?php endforeach; ?>
                        </h2>
                    <?php endif; ?>
                    <p class="intro" style="color:var(<?= get_field('intro_color'); ?>);"><?= get_field('intro_before_posts'); ?></p>
                </div>
                <div class="col-12 col-md-11 post-contain">
                    <?php if($events->have_posts()): ?>
                        <div class="d-none d-md-block">
                            <div class="row">
                                <?php while($events->have_posts()): $events->the_post(); ?>
                                    <div class="col-12 col-md-6 col-lg-4 mb-4">
                                        <a href="<?= get_permalink($events->ID); ?>" class="event-card">
                                            <div class="card-post">
                                                <div class="image-contain">
                                                    <img src="<?= get_the_post_thumbnail_url($events->ID); ?>" alt="<?= get_the_title($events->ID); ?>">
                                                </div>
                                                <div class="text-contain">
                                                    <h4><?= get_the_title($events->ID); ?></h4>
                                                    <p><?= get_field('short_description', $events->ID); ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                <?php endwhile; wp_reset_postdata(); ?>
                            </div>
                        </div>
                        <div class="d-block d-md-none">
                            <div class="slide-posts owl-carousel">
                                <?php while($events->have_posts()): $events->the_post(); ?>
                                    <div class="item">
                                        <a href="<?= get_permalink($events->ID); ?>" class="event-card">
                                            <div class="card-post">
                                                <div class="image-contain">
                                                    <img src="<?= get_the_post_thumbnail_url($events->ID); ?>" alt="<?= get_the_title($events->ID); ?>">
                                                </div>
                                                <div class="text-contain">
                                                    <h4><?= get_the_title($events->ID); ?></h4>
                                                    <p><?= get_field('short_description', $events->ID); ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                <?php endwhile; wp_reset_postdata(); ?>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
</main>
<script>
    $(()=>{
        setTimeout(() => {
           $('.title').addClass('fade-out');
        }, 1800);
        setTimeout(() => {
            $('.svg-right').addClass('slide-right');
        }, 1000);
        setTimeout(() => {
            $('.svg-left').addClass('slide-left');
        }, 1700);
    });
    $(window).scroll(function(){
        var windowScrol = $(window).scrollTop();
        /*============= Home, content after overly =============*/
        var events = $('.posts-contain').offset().top -550;
        var post = $('.post-contain').offset().top -650;
        if(windowScrol >= events){
            $('.posts-contain h2').addClass('skey');
            $('.intro').addClass('slide-up');
        }
        if(windowScrol >= post){
            $('.posts-contain .event-card').addClass('rotate-y');
        }
    });
    gsap.registerPlugin(ScrollTrigger);

    gsap.fromTo(document.querySelector('.svg-contain .svg-left'), { y: 0 }, {
    y: 60,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.svg-contain .svg-left'),
        start: 'top 10%',
        end: 'top 80%',
        scrub: true,
        markers: false,
    }
    });

    gsap.fromTo(document.querySelector('.svg-contain .svg-right'), { y: 0 }, {
    y: 60,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.svg-contain .svg-right'),
        start: 'top 10%',
        end: 'top 80%',
        scrub: true,
        markers: false,
    }
    }); 
</script>
<?php get_footer(); ?>
                    