   
<?php
/**
 * 
 * Template Name: products-page
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
get_header();
$title = get_field('title');
$no_gas = get_field('sin_gas_products');
?>
<main id="products-page-template-8c79a1">
    <?php if($title): ?>
        <section class="title-contain">
            <div class="svg-contain">
                <svg width="416" height="358" viewBox="0 0 416 358" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M415.124 -28V7.18402L236.047 186.233V151.049L415.124 -28Z" fill="#91D7FF"/>
                    <path d="M179.077 143V178.184L0 357.233V322.049L179.077 143Z" fill="#80BC00"/>
                </svg>
            </div>
            <h1>
                <?php foreach($title as  $text): ?>
                    <span style="color:var(<?= $text['select_color']; ?>)"><?= $text['add_text']; ?> </span>
                <?php endforeach; ?>
            </h1>
        </section>
    <?php 
        endif;
        if($no_gas):
            $key = -1;
    ?>
        <section class="still-water">
            <div class="container">
                <div class="row align-items-center" style="position:relative;">
                    <div class="slide-controller owl-carousel">
                        <?php foreach($no_gas as $item): $key++; ?>
                            <div class="item">
                                <input type="hidden" class="item-contoller" value="<?= $key; ?>">
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <div class="col-12 col-md-6 product-image-col">
                        <div class="products-img-contain">
                            <div class="slide-product-image owl-carousel">
                                <?php foreach($no_gas as $image): ?>
                                    <div class="item">
                                        <img src="<?= $image['product_image']; ?>" alt="<?= $image['presentation']; ?>">
                                    </div>
                                <?php endforeach; ?>
                            </div>
                            <div class="svg-contain">
                                <svg width="306" height="410" viewBox="0 0 306 410" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M136.593 109.101V136.242L0 274.362V247.22L136.593 109.101Z" fill="#80BC00"/>
                                    <path d="M273.186 107.415V134.417L0 409.269V382.267L273.186 107.415Z" fill="#91D7FF"/>
                                    <path d="M305.512 160.452V187.455L168.076 324.87V297.867L305.512 160.452Z" fill="#80BC00"/>
                                    <path d="M274.046 0V27.0027L136.609 164.418V137.415L274.046 0Z" fill="#00BEFF"/>
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="name-product">
                            <h2 style="color:<?php if(get_field('sin_gas_text_color') !== 'white'): ?>var(<?= get_field('sin_gas_text_color'); ?>)<?php else: ?>#ffffff<?php endif; ?>"><?= get_field('sin_gas_title'); ?></h2>
                                <div class="presentations-slide owl-carousel">
                                    <?php foreach($no_gas as $name): ?>
                                        <div class="item">
                                            <p style="color:<?php if(get_field('sin_gas_text_color') !== 'white'): ?>var(<?= get_field('sin_gas_text_color'); ?>)<?php else: ?>#ffffff<?php endif; ?>"><?= $name['presentation']; ?></p>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            <button class="buy-cta">
                                <span style="background:<?php if(get_field('sin_gas_cta_background') !== 'white'): ?>var(<?= get_field('sin_gas_cta_background'); ?>)<?php else: ?>#ffffff<?php endif; ?>;">
                                    <?= get_field('sin_gas_cta_text'); ?>
                                </span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clip-path"></div>
        </section>
    <?php 
        endif;
        $with_gas = get_field('with_gas_products');
        if($with_gas):
            $key = -1;
    ?>
    <!-- With gas -->
        <section class="with-gas">
            <div class="container">
                <div class="row align-items-center" style="position:relative;">
                    <div class="slide-controller owl-carousel">
                        <?php foreach($with_gas as $item): $key++; ?>
                            <div class="item">
                                <input type="hidden" class="item-contoller" value="<?= $key; ?>">
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <div class="col-12 col-md-6 product-image-col">
                        <div class="products-img-contain">
                            <div class="slide-product-image owl-carousel">
                                <?php foreach($with_gas as $image): ?>
                                    <div class="item">
                                        <img src="<?= $image['product_image']; ?>" alt="<?= $image['presentation']; ?>">
                                    </div>
                                <?php endforeach; ?>
                            </div>
                            <div class="svg-contain">
                                <svg width="362" height="363" viewBox="0 0 362 363" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M296.593 17V44.1412L160 182.261V155.12L296.593 17Z" fill="#80BC00"/>
                                    <path d="M361.186 0V27.002L88 301.854V274.852L361.186 0Z" fill="#91D7FF"/>
                                    <path d="M292.436 194.693V221.696L155 359.111V332.108L292.436 194.693Z" fill="#80BC00"/>
                                    <path d="M137.436 198V225.003L0 362.418V335.415L137.436 198Z" fill="#00BEFF"/>
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="name-product">
                            <h2 style="color:<?php if(get_field('with_gas_text_color') !== 'white'): ?>var(<?= get_field('with_gas_text_color'); ?>)<?php else: ?>#ffffff<?php endif; ?>"><?= get_field('with_gas_title'); ?></h2>
                            <div class="presentations-slide owl-carousel">
                                <?php foreach($with_gas as $name): ?>
                                    <div class="item">
                                        <p style="color:<?php if(get_field('with_gas_text_color') !== 'white'): ?>var(<?= get_field('with_gas_text_color'); ?>)<?php else: ?>#ffffff<?php endif; ?>"><?= $name['presentation']; ?></p>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                            <button class="buy-cta">
                                <span style="background:<?php if(get_field('with_gas_cta_background') !== 'white'): ?>var(<?= get_field('with_gas_cta_background'); ?>)<?php else: ?>#ffffff<?php endif; ?>;">
                                    <?= get_field('with_gas_cta_text'); ?>
                                </span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clip-path-bottom"></div>
        </section>
    <?php 
        endif; 
        $aloe_water = get_field('aloe_water_product');
        if($aloe_water):
        $key = -1;
    ?>
    <!-- Aloe -->
        <section class="aloe-water">
            <div class="container">
                <div class="row align-items-center" style="position:relative;">
                    <div class="slide-controller owl-carousel">
                        <?php foreach($aloe_water as $item): $key++; ?>
                            <div class="item">
                                <input type="hidden" class="item-contoller" value="<?= $key; ?>">
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <div class="col-12 col-md-6 product-image-col">
                        <div class="products-img-contain">
                            <div class="slide-product-image owl-carousel">
                                <?php foreach($aloe_water as $image): ?>
                                    <div class="item">
                                        <img src="<?= $image['product_image']; ?>" alt="<?= $image['presentation']; ?>">
                                    </div>
                                <?php endforeach; ?>
                            </div>
                            <div class="svg-contain">
                                <svg width="342" height="548" viewBox="0 0 342 548" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M213.019 167.544V194.962L84.0547 334.491V307.073L213.019 167.544Z" fill="#0087FF"/>
                                    <path d="M213.019 222.094V249.512L84.0547 389.04V361.622L213.019 222.094Z" fill="#00983C"/>
                                    <path d="M128.965 380.286V407.704L0 547.233V519.815L128.965 380.286Z" fill="#80BC00"/>
                                    <path d="M342 56V83.4269L213 223V195.573L342 56Z" fill="#00983C"/>
                                    <path d="M342 0V27.4269L213 167V139.573L342 0Z" fill="#91D7FF"/>
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="name-product">
                            <h2 style="color:<?php if(get_field('text_color_aloe_water') !== 'white'): ?>var(<?= get_field('text_color_aloe_water'); ?>)<?php else: ?>#ffffff<?php endif; ?>"><?= get_field('aloe_water_title'); ?></h2>
                            <div class="presentations-slide owl-carousel">
                                <?php foreach($aloe_water as $name): ?>
                                    <div class="item">
                                        <p style="color:<?php if(get_field('text_color_aloe_water') !== 'white'): ?>var(<?= get_field('text_color_aloe_water'); ?>)<?php else: ?>#ffffff<?php endif; ?>"><?= $name['presentation']; ?></p>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                            <button class="buy-cta">
                                <span style="background:<?php if(get_field('aloe_water_cta_background') !== 'white'): ?>var(<?= get_field('aloe_water_cta_background'); ?>)<?php else: ?>#ffffff<?php endif; ?>;">
                                    <?= get_field('aloe_water_cta_text'); ?>
                                </span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php 
        endif; 
    ?>
    <!-- Custom section -->
    <?php get_template_part('partials/product/flavored-water'); ?>
    <?php
        $stores = get_field('stores');
        if($stores):
    ?>
    <div class="buy-pop-up">
        <div class="overly" onclick="close_pop_up()"></div>
        <div class="card-pop-up">
            <div class="close" onclick="close_pop_up()">
                <div class="svg-contain">
                    <svg width="143" height="64" viewBox="0 0 143 64" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M26 0H142.5L99.5 64H46C34.9543 64 26 55.0457 26 44V0Z" fill="#80BC00"/>
                        <path d="M27 0H137.5L94.5 64H47C35.9543 64 27 55.0457 27 44V0Z" fill="#0082CA"/>
                        <path d="M0 30.0001C0 13.4316 13.4314 8.90899e-05 30 7.66406e-05L132 0L89.6519 63.9999L0 64V32V30.0001Z" fill="#0033A1"/>
                    </svg>
                </div>
                <span class="text">
                    <i class="fa-solid fa-xmark"></i> Cerrar
                </span>
            </div>
            <div class="stores">
                <div class="row">
                    <?php foreach($stores as $store): ?>
                        <div class="col-6 mb-4">
                            <div class="store">
                                <div class="logo-contain">
                                    <img src="<?= $store['logo']['url']; ?>" alt="<?= $store['logo']['title']; ?>" srcset="<?= $store['logo']['url']; ?>">
                                </div>
                                <a href="<?= $store['url']; ?>" target="_blank">
                                    <span class="int"> <span>COMPRAR</span> <i class="fa-solid fa-chevron-right"></i></span>
                                </a>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
</main>
<script src="<?= get_template_directory_uri(); ?>/js/products.js"></script>
<?php get_footer(); ?>