   
<?php
/**
 * 
 * Template Name: sustainability-page
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
get_header();
$video = get_field('video_id_desktop');
$video_movil = get_field('video_id_movil');
$type_page = get_queried_object();
$arg = array(
    'taxonomy' => 'sustainabiliti_cat',
    'hide_empty' => false,
    'parent' => $type_page->term_id,
    'orderby' => 'DESC'
);
$termchildren = get_terms($arg);
$the_most_seed = get_field('the_most_seen_list');
?>
<main id="sustainability-page-template-509e5d">
    <section class="video-section">
        <div class="video">
            <iframe class="desktop" src="https://player.vimeo.com/video/<?= $video; ?>?autoplay=1&loop=1&autopause=0&muted=1&controls=0" title="Vimeo video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
            <iframe class="movil" src="https://player.vimeo.com/video/<?= $video_movil; ?>?autoplay=1&loop=1&autopause=0&muted=1&controls=0" title="Vimeo video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
        </div>
        <h1 class="title"><?= get_field('video_h1'); ?></h1>
    </section>
    <section class="sustainability-content">
        <div class="clip-path"></div>
        <div class="svg-left-desktop">
            <svg width="175" height="215" viewBox="0 0 175 215" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M174.077 0V35.184L-5 214.233V179.049L174.077 0Z" fill="#80BC00"/>
            </svg>
        </div>
        <div class="svg-right-desktop">
            <svg width="338" height="429" viewBox="0 0 338 429" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M356.978 0V35.1841L179 214.233V179.049L356.978 0Z" fill="#00BEFF"/>
                <path d="M179.124 214V249.184L0.046875 428.233V393.049L179.124 214Z" fill="#00983C"/>
            </svg>
        </div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12">
                    <h2 class="title-after-vide"><?= the_title(); ?></h2>
                </div>
                <div class="col-12 col-md-11" style="position:relative;height: 50px;">
                    <?php if($termchildren): ?>
                        <div class="filter-contain">
                            <div class="open-filter" onclick="filter_toggle()">
                                <span class="name-category" id="option-selected">Selecciona una categoría</span>
                                <svg width="17" height="14" viewBox="0 0 17 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M10.2321 13C9.46225 14.3333 7.53775 14.3333 6.76795 13L1.13879 3.25C0.368987 1.91667 1.33124 0.249998 2.87084 0.249999L14.1292 0.25C15.6688 0.25 16.631 1.91667 15.8612 3.25L10.2321 13Z" fill="#0033A1"/>
                                </svg>
                            </div>
                            <div class="filter">
                                <ul>
                                    <li>
                                        <a href="all" class="cta-category">Todos</a>
                                    </li>
                                    <?php foreach($termchildren as $item): ?>
                                        <li>
                                            <a href="<?= $item->slug; ?>" class="cta-category"><?= $item->name; ?></a>
                                        </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="col-12 col-md-11 mt-5 post-contain">
                    <h3 class="title-posts all-posts-title" id="text-filter"><?= get_field('the_most_recent_title'); ?></h3>
                    <div class="row" id="sustainability-desktop"></div>
                </div>
                <div class="col-12 col-md-11 mt-5 post-contain">
                    <?php if($the_most_seed): ?>
                        <h3 class="title-posts most-viewed"><?= get_field('the_most_seen_title'); ?></h3>
                        <div class="d-none d-md-block">
                            <div class="row">
                                <?php foreach($the_most_seed as $item): ?>
                                    <div class="col-12 col-md-6 col-lg-4 mb-4">
                                        <a href="<?= get_permalink($item['select_post']->ID); ?>" class="link-card most-viewed-card">
                                            <div class="card-post">
                                                <div class="image-contain">
                                                    <img src="<?= get_the_post_thumbnail_url($item['select_post']->ID); ?>" alt="<?= get_the_title($item['select_post']->ID); ?>">
                                                </div>
                                                <div class="text-contain">
                                                    <h4><?= get_the_title($item['select_post']->ID); ?></h4>
                                                    <p><?= get_field('short_description', $item['select_post']->ID); ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                        <div class="d-block d-md-none">
                            <div class="slide-posts owl-carousel">
                                <?php foreach($the_most_seed as $item): ?>
                                    <div class="item">
                                        <a href="<?= get_permalink($item['select_post']->ID); ?>" class="link-card">
                                            <div class="card-post">
                                                <div class="image-contain">
                                                    <img src="<?= get_the_post_thumbnail_url($item['select_post']->ID); ?>" alt="<?= get_the_title($item['select_post']->ID); ?>">
                                                </div>
                                                <div class="text-contain">
                                                    <h4><?= get_the_title($item['select_post']->ID); ?></h4>
                                                    <p><?= get_field('short_description', $item['select_post']->ID); ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    <?php  endif; ?>
                </div>
            </div>
        </div>
    </section>
</main>
<script>
    let rout = _dittoURL_ + "/wp-json/sustainability/list";
</script>
<script src="<?= get_template_directory_uri() ?>/js/sustainability.js"></script>
<?php get_footer(); ?>
                    